Package jebl.evolution.io

# Interface ImmediateSequenceImporter

All Known Implementing Classes:
  `FastaImporter`

public interface ImmediateSequenceImporter
A sequence importer sending the sequences back one by one, which makes it possible to import larger documents if handled wisely on the other side.

Version:
  $Id: ImmediateSequenceImporter.java 465 2006-10-04 04:24:20Z twobeers $
Author:
  Joseph Heled

## Nested Class Summary

Nested Classes
Modifier and Type
Interface
Description
`static interface`
`ImmediateSequenceImporter.Callback`

## Method Summary

Modifier and Type
Method
Description
`void`
`importSequences(ImmediateSequenceImporter.Callback callback, ProgressListener progressListener)`

## Method Details

### importSequences

void importSequences(ImmediateSequenceImporter.Callback callback, ProgressListener progressListener) throws IOException, ImportException

Throws:
  `IOException`
  `ImportException`